Description
Some DCMTK modules are free of warnings, others are not.

From "man gcc":
-Wconversion

Warn for implicit conversions that may alter a value. This includes conversions between
real and integer, like "abs (x)" when "x" is "double";

conversions between signed and unsigned, like "unsigned ui = -1"; and conversions to sm
aller types, like "sqgrtf (M_PI)". Do not warn for explicit

casts like "abs ((int) x)" and "ui = (unsigned) -1", or if the value is not changed by
the conversion like in "abs (2.0)". Warnings about

conversions between signed and unsigned integers can be disabled by using -Wno-sign-con
version.

For C++, also warn for confusing overload resolution for user-defined conversions; and
conversions that never use a type conversion operator:

conversions to "void", the same type, a base class or a reference to them. Warnings abo
ut conversions between signed and unsigned integers are

disabled by default in C++ unless -Wsign-conversion is explicitly enabled.

History

#1 - 2017-03-24 12:59 - Marco Eichelberg
- Priority changed from Normal to Low

- Target version set to 3.6.2

#2 - 2017-05-22 10:04 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#3 - 2018-02-05 19:40 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#4 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)
